org.icefaces.ace.component.tooltip

## Class Tooltip

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.icefaces.ace.component.tooltip.TooltipBase
        - - org.icefaces.ace.component.tooltip.Tooltip

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ITooltip

      public class Tooltip
      extends TooltipBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.tooltip.TooltipBase

      `TooltipBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.tooltip.TooltipBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tooltip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `protected javax.faces.context.FacesContext` | `getFacesContext()`

    - ### Methods inherited from class org.icefaces.ace.component.tooltip.TooltipBase

      `addClientBehavior, getDefaultEventName, getDefaultExecute, getDefaultRender, getDelegateDisplayListener, getDisplayListener, getEventNames, getFamily, getFetch, getFor, getForContainer, getForDelegate, getForElement, getHideDelay, getHideEffect, getHideEffectLength, getHideEvent, getListenerArgument, getPosition, getShowDelay, getShowEffect, getShowEffectLength, getShowEvent, getStore, getStyle, getStyleClass, getTargetPosition, getWidgetVar, isCancelDisplay, isGlobal, isPropertySet, isSpeechBubble, setCancelDisplay, setDelegateDisplayListener, setDisplayListener, setFetch, setFor, setForContainer, setForDelegate, setForElement, setGlobal, setHideDelay, setHideEffect, setHideEffectLength, setHideEvent, setPosition, setShowDelay, setShowEffect, setShowEffectLength, setShowEvent, setSpeechBubble, setStore, setStyle, setStyleClass, setTargetPosition, setValueExpression, setWidgetVar`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Constructor Detail

    - #### Tooltip

          public Tooltip()

  - ### Method Detail

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.